### R code from vignette source 'TarsiusSpectrumExample.Rnw'
### Encoding: ISO8859-1

###################################################
### code chunk number 1: foo
###################################################
options(keep.source = TRUE, width = 60)
foo <- packageDescription("melody")


###################################################
### code chunk number 2: loadlib
###################################################
library(melody)


###################################################
### code chunk number 3: TarsiusSpectrumExample.Rnw:55-59
###################################################

pgm <- readPGM(system.file('extdata','calls','Tarsius-spectrum-Duet.female-Nietsch1998-2b2.pgm', package='melody'))
dim(pgm)



###################################################
### code chunk number 4: sg
###################################################
s <- spectrogram.object <- sg(pgm)

str(spectrogram.object)



###################################################
### code chunk number 5: spectrogram
###################################################
plot(spectrogram.object)


###################################################
### code chunk number 6: fig1
###################################################
plot(spectrogram.object)


###################################################
### code chunk number 7: TarsiusSpectrumExample.Rnw:90-93
###################################################
s <- threshold(s, pct.max = 0.89)
names(s)
s$bg.threshold


###################################################
### code chunk number 8: part
###################################################
s <- partition(s, lambda=5)
s$n
length(s$units)


###################################################
### code chunk number 9: partitionedspectro
###################################################
plot(s)


###################################################
### code chunk number 10: fig2
###################################################
plot(s)


###################################################
### code chunk number 11: unitstats
###################################################
s <- unitstats(s, harmonics=TRUE)
unit.param.names <- grep('^u.*[^sl]$', names(s), value=TRUE)
sapply(unit.param.names, function(x) s[[x]])



###################################################
### code chunk number 12: clean
###################################################
s <- clean(s)


###################################################
### code chunk number 13: toneinterval
###################################################

s <- tone(s)
s$tone
s <- interval(s)
s$interval


###################################################
### code chunk number 14: cluster
###################################################
s <- cluster(s, method='limits', intensity.weighted=FALSE)  
s$syllable_ct
s$repetition
## weighted by intensity
s <- cluster(s, method='limits', intensity.weighted=TRUE)  
s$syllable_ct
s$repetition


###################################################
### code chunk number 15: spectrogramgraph
###################################################
par(mfrow=c(2,1))
plot(s)
graph(s)


###################################################
### code chunk number 16: fig3
###################################################
par(mfrow=c(2,1))
plot(s)
graph(s)


